meta_title : 
  label: Page title (dynamic)
  type: text
  span: full
  tab: Meta
  comment : Page title
  attributes: 
    data-counter: 1
    data-min: 30
    data-max: 60
    data-seo : title

meta_description: 
    label : Page description (dynamic)
    type: textarea
    size: tiny
    span: full
    tab: Meta
    cssClass: char-counter
    comment: Page description
    attributes: 
      data-counter: 1 
      data-min: 100 
      data-max: 160 
      data-seo: description

canonical_url: 
    label: Canonical URL (dynamic)
    type: text
    tab: Meta
    span: full
    comment: The canonical URL this page should point to defaults to current URL

robot_index: 
    label: robots index
    type: balloon-selector
    tab: Meta
    options: 
        index: index
        noindex: noindex
    comment: Specify if search engines should index this page
    span: left
    default: index

robot_follow : 
    label   : robots follow
    type    : balloon-selector
    tab     : Meta
    options : 
        follow : follow
        nofollow : nofollow
    comment : Specify if search engines should follow the links on this page
    span    : right
    default : follow

robot_advanced : 
    label   : Advanced robots (dynamic)
    tab     : Meta
    comment : Add aditional directives to the robots meta tag separated by commas
    span : left

enabled_in_sitemap : 
    label   : Enable in the sitemap.xml
    comment : Page will appear in the sitemap.xml
    type    : checkbox
    tab     : Sitemap
    span : left
    default: true

model_class : 
    label   : Model class
    type    : text
    span    : right
    comment : Associate this page with a model links will be generated from it\s records 
    placeholder : Author\Plugin\Models\ModelClass
    tab     : Sitemap

model_filter : 
    label   : Model class filter
    type    : text
    span    : right
    comment : Associate model filter (For example to show only subcategories parent_id:subcatid. It matches field with value)
    placeholder : "field:value"
    tab     : Sitemap

model_all_posts : 
    label   : "BlogPost: All posts"
    comment : Include all posts of Rainlab Blog plugin (ignore the enable_sitemap per post field)
    type    : checkbox
    tab     : Sitemap
    span    : left
    default: false

model_include_default : 
    label   : "Include default page"
    comment : Include also the default CMS page without the optional parameters
    type    : checkbox
    tab     : Sitemap
    span    : left
    default: false

use_updated_at : 
    label   : Use "updated_at" from the model as "Last time modified"
    commentHtml: true
    comment : "If the updated_at field isnt available in the model it will default to the files last time modified aka: <b>Page::$mtime</b>"
    type    : checkbox
    tab     : Sitemap
    default : true

lastmod : 
    label   : Last time modified
    type    : datepicker
    mode    : datetime
    tab     : Sitemap
    span    : full
    trigger : 
        action: hide
        field: settings[use_updated_at]
        condition: checked
    comment : Date and time this page was last modified

changefreq : 
    label   : Changing frequency
    type    : dropdown
    tab     : Sitemap
    options : 
        always : always
        hourly : hourly
        weekly : weekly
        monthly : monthly
        yearly : yearly
        never : never
    span    : left
    comment : Tell search engines how frequently this page changes

priority : 
    label   : Priority
    type    : dropdown
    tab     : Sitemap
    options :  
        0.1 : 0.1
        0.2 : 0.2
        0.3 : 0.3
        0.4 : 0.4
        0.5 : 0.5
        0.6 : 0.6
        0.7 : 0.7
        0.8 : 0.8
        0.9 : 0.9
        1.0 : 1.0
    span    : right
    comment : Rank the importance of the page to search engines

schemas:
  label: Write the schemas for this page
  type: codeeditor
  size: giant
  stretch: true
  tab: Schemas


og_title : 
    label   : og:title (dynamic)
    tab     : Open Graph
    span    : auto
    comment : Recommended 50-60 characters
    placeholder: Defaults to SEO if left blank

og_description : 
    label   : og:description (dynamic)
    tab     : Open Graph
    type : textarea
    size : tiny
    span    : auto
    comment : The optimal length is 155
    placeholder: Defaults to SEO if left blank

og_type : 
    label   : og:type (dynamic)
    tab     : Open Graph
    span    : auto
    placeholder : website article video etc...

og_image : 
    label   : og:image
    type : mediafinder
    mode : image
    tab     : Open Graph
    span    : auto
    comment : 

og_ref_image : 
    label   : og:image (dynamic)
    tab     : Open Graph
    span    : auto
    placeholder : "{{ example.image }}"
    comment : This will take priority over og:image
